/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands;

import moe.nekojimi.chords.Chords;

public class SkipCommand extends Command
{

    public SkipCommand(Chords bot)
    {
        super(bot, "skip");
    }

    @Override
    public void call(Invocation invocation)
    {
        boolean ok = bot.getMusicHandler().nextSong(true);
        if (ok)
            invocation.respond("Skipped to next song!");
        else
            invocation.respond("There's no more songs!");
    }

}
